@import '../../styles/--scss-vars.scss';

.question {
  .inner {
    overflow-x: hidden;
    overflow-y: auto;
    padding-right: $subdiv * 2;
    height: $column5 - $spacer4;
    .item {
      padding: $subdiv * 2 - 2 $subdiv * 2 $subdiv * 2 - 2 $subdiv * 4;
      .icon {
        width: $subdiv * 5 + 1;
        margin-right: $subdiv * 2;
        img {
          width: $subdiv * 5 + 1;
          height: $subdiv * 5 + 1;
          @include border-radius(50%);
          object-fit: cover;
        }
      }
      .detail {
        width: calc(calc(100% - $subdiv * 5) + 1px);
        .head-part {
          .left {
            width: calc(calc(100% - $subdiv * 5) + 1px);
            padding-right: $subdiv;
            .outer {
              width: 100%;
              .name {
                font-size: $subdiv * 3 - 1;
                font-weight: 700;
                margin-right: $subdiv * 2 - 2;
              }
              .time {
                font-size: $subdiv * 2;
              }
            }
            p {
              color: $color-d2;
              font-size: $subdiv * 2 + 2;
              margin-bottom: 0;
            }
          }
          .right {
            width: $subdiv * 5 + 1;
            .action {
              cursor: pointer;
            }
          }
        }
        .bottom-part {
          .votes {
            filter: brightness(100) invert(0);
            .icon {
              width: calc(calc(var(--subdiv) * 5) + 1px);
              margin-right: $subdiv + 1;
              img {
                width: 100%;
                object-fit: contain;
                vertical-align: middle;
              }
            }
            .text {
              font-size: $subdiv * 2;
              text-transform: uppercase;
            }
            &.active {
              filter: none;
              .text {
                color: $color-x1;
              }
            }
          }
        }
      }
      &:not(:last-of-type) {
        border-bottom: 1px solid $color-d3;
      }
    }
  }
}
